Bug 1222438 (CVE-2015-3813) - CVE-2015-3813 wireshark: Reassembly memory leak (wnpa-sec-2015-16)
Summary: CVE-2015-3813 wireshark: Reassembly memory leak (wnpa-sec-2015-16)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3813
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1245883 1245885 1245886 1245887
Blocks: 1210268 1222441
TreeView+ depends on / blocked
 
Reported: 2015-05-18 08:39 UTC by Martin Prpič
Modified: 2019-09-29 13:32 UTC (History)
7 users (show)

Fixed In Version: wireshark 1.12.5
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way packet reassembly code of wireshark would parse a packet which could leak memory. An attacker could use this flaw to crash wireshark by sending a specially crafted packet onto the wire or by convincing wireshark user to read malformed packet trace file.
Clone Of:
Environment:
Last Closed: 2015-11-20 04:52:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC
Red Hat Product Errata RHSA-2017:0631 normal SHIPPED_LIVE Moderate: wireshark security and bug fix update 2017-03-21 12:29:55 UTC

Description Martin Prpič 2015-05-18 08:39:47 UTC
It was reported that Wireshark's packet reassembly code could leak memory.. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This flaw is fixed in versions the following Wireshark versions: 1.12.5.

Upstream bug:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=11129

External References:

https://www.wireshark.org/security/wnpa-sec-2015-16.html

Comment 1 Martin Prpič 2015-05-18 08:43:51 UTC
Fixed in Fedora via:

FEDORA-2015-8150 -- wireshark-1.12.5-1.fc21

Comment 8 errata-xmlrpc 2015-11-19 12:37:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html

Comment 9 Huzaifa S. Sidhpurwala 2015-11-20 04:52:52 UTC
Statement:

(none)

Comment 10 errata-xmlrpc 2017-03-21 09:54:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0631 https://rhn.redhat.com/errata/RHSA-2017-0631.html


Note You need to log in before you can comment on or make changes to this bug.